Package org.drinkless.tdlib

# Class TdApi.Background

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Background

Enclosing class:
  `TdApi`

public static class TdApi.Background extends TdApi.Object
Describes a chat background.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Document`
  `document`
  Document with the background; may be null.
  `long`
  `id`
  Unique background identifier.
  `boolean`
  `isDark`
  True, if the background is dark and is recommended to be used with dark theme.
  `boolean`
  `isDefault`
  True, if this is one of default backgrounds.
  `String`
  `name`
  Unique background name.
  `TdApi.BackgroundType`
  `type`
  Type of the background.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Background()`
  Describes a chat background.
  `Background(long id, boolean isDefault, boolean isDark, String name, TdApi.Document document, TdApi.BackgroundType type)`
  Describes a chat background.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Unique background identifier.

  - ### isDefault

    public boolean isDefault
    True, if this is one of default backgrounds.

  - ### isDark

    public boolean isDark
    True, if the background is dark and is recommended to be used with dark theme.

  - ### name

    public String name
    Unique background name.

  - ### document

    @Nullable public TdApi.Document document
    Document with the background; may be null. Null only for filled and chat theme backgrounds.

  - ### type

    public TdApi.BackgroundType type
    Type of the background.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Background

    public Background()
    Describes a chat background.

  - ### Background

    public Background(long id, boolean isDefault, boolean isDark, String name, TdApi.Document document, TdApi.BackgroundType type)
    Describes a chat background.
    Parameters:
      `id` - Unique background identifier.
      `isDefault` - True, if this is one of default backgrounds.
      `isDark` - True, if the background is dark and is recommended to be used with dark theme.
      `name` - Unique background name.
      `document` - Document with the background; may be null. Null only for filled and chat theme backgrounds.
      `type` - Type of the background.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR